#
# spec file for package python-praatio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-praatio
Version:        3.6.13
Release:        lp151.1.23
%define minor   3.6
Summary:        A library for working with praat
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/timmahrt/praatIO
Source0:        https://files.pythonhosted.org/packages/py2.py3/p/praatio/praatio-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Recommends:     praat

%python_subpackages

%description
A library for working with praat, time aligned audio transcripts, and
audio files.

Praat uses a file format called textgrids, which are time aligned
speech transcripts. This library also provides utilities are to work
with  transcripts and associated audio file and some other tools for
use with praat.

%prep
%setup -c -T

%build
# not needed

%install
%python_expand pip%{$python_bin_suffix} install --root=%{buildroot} %{SOURCE0}
%python_expand sed -i -e '/^#!\//, 1d' %{buildroot}%{$python_sitelib}/praatio/applied_scripts/xsampa.py
%python_expand $python -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/praatio/applied_scripts/
%python_expand $python -O -m compileall -d %{$python_sitelib} %{buildroot}%{$python_sitelib}/praatio/applied_scripts/
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license %{python_sitelib}/praatio-%{version}.dist-info/LICENSE.txt
%{python_sitelib}/praatio-%{version}.dist-info/
%{python_sitelib}/praatio/

%changelog
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update to 3.6.13
  * Include license in wheels
  * BUGFIX: Python 3.x incompatibility
  * BUGFIX: Python 2 vs 3 compatibility
* Fri Nov  2 2018 Todd R <toddrme2178@gmail.com>
- Initial version
